# Uses of Class
org.apache.sysds.runtime.codegen.SpoofCUDAOperator.PrecisionProxy

Packages that use SpoofCUDAOperator.PrecisionProxy
Package
Description
org.apache.sysds.runtime.codegen
org.apache.sysds.runtime.instructions.gpu

## Uses of SpoofCUDAOperator.PrecisionProxy in org.apache.sysds.runtime.codegen

Methods in org.apache.sysds.runtime.codegen with parameters of type SpoofCUDAOperator.PrecisionProxy
Modifier and Type
Method
Description
`SpoofCUDAOperator`
SpoofCellwise.`createCUDAInstrcution(Integer opID, SpoofCUDAOperator.PrecisionProxy ep)`
`SpoofCUDAOperator`
SpoofMultiAggregate.`createCUDAInstrcution(Integer opID, SpoofCUDAOperator.PrecisionProxy ep)`
`abstract SpoofCUDAOperator`
SpoofOperator.`createCUDAInstrcution(Integer opID, SpoofCUDAOperator.PrecisionProxy ep)`
`SpoofCUDAOperator`
SpoofOuterProduct.`createCUDAInstrcution(Integer opID, SpoofCUDAOperator.PrecisionProxy ep)`
`SpoofCUDAOperator`
SpoofRowwise.`createCUDAInstrcution(Integer opID, SpoofCUDAOperator.PrecisionProxy ep)`
Constructors in org.apache.sysds.runtime.codegen with parameters of type SpoofCUDAOperator.PrecisionProxy
Modifier
Constructor
Description
``
`SpoofCUDACellwise(SpoofCellwise.CellType type, boolean sparseSafe, boolean containsSeq, SpoofCellwise.AggOp aggOp, int id, SpoofCUDAOperator.PrecisionProxy ep, SpoofCellwise fallback)`
``
`SpoofCUDARowwise(SpoofRowwise.RowType type, long constDim2, boolean tB1, int reqVectMem, int id, SpoofCUDAOperator.PrecisionProxy ep)`

## Uses of SpoofCUDAOperator.PrecisionProxy in org.apache.sysds.runtime.instructions.gpu

Subclasses of SpoofCUDAOperator.PrecisionProxy in org.apache.sysds.runtime.instructions.gpu
Modifier and Type
Class
Description
`static class`
`SpoofCUDAInstruction.DoublePrecision`
`static class`
`SpoofCUDAInstruction.SinglePrecision`
Fields in org.apache.sysds.runtime.instructions.gpu declared as SpoofCUDAOperator.PrecisionProxy
Modifier and Type
Field
Description
`static SpoofCUDAOperator.PrecisionProxy`
SpoofCUDAInstruction.`proxy`